MACRO(CONFIGURE_X11_FRONTEND _NAME_TARGET)

    FIND_PACKAGE(X11)

    IF (X11_FOUND)

        TARGET_LINK_LIBRARIES(${_NAME_TARGET} PRIVATE ${X11_LIBRARIES})
        TARGET_INCLUDE_DIRECTORIES(${_NAME_TARGET} PRIVATE ${X11_INCLUDE_DIR})
        TARGET_COMPILE_DEFINITIONS(${_NAME_TARGET} PRIVATE -D USE_X11)
        MESSAGE(STATUS "Support for X11 front end - Ready")

    ELSE()

        MESSAGE(FATAL_ERROR "Support for X11 front end - Failed")

    ENDIF()

ENDMACRO()
